Skip to main content
GET
List voice calls

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Lifecycle status of a voice call.

  • queued: outbound call created, not yet dialing.
  • ringing: dialing (outbound) or received and ringing (inbound).
  • in_progress: answered, the agent is connected.
  • completed: ended after a conversation.
  • failed: could not be completed.
  • busy: the line was busy.
  • no_answer: rang but was not answered.
  • canceled: canceled before it was answered.
Available options:
queued,
ringing,
in_progress,
completed,
failed,
busy,
no_answer,
canceled
direction
enum<string>

Whether the call was placed by Zavu (outbound) or received from a caller (inbound).

Available options:
inbound,
outbound
limit
integer
default:50
Required range: x <= 100
cursor
string

Response

List of voice calls.

items
object[]
required
nextCursor
string | null